Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class ModuleParsers

    java.lang.Object
      com.sun.syndication.io.impl.PluginManager
          com.sun.syndication.io.impl.ModuleParsers

    public class ModuleParsers

extends PluginManager

Constructor Summary
`ModuleParsers(String propertyKey, WireFeedParser parentParser)`

Method Summary
`String` | `getKey(Object obj)`
`List` | `getModuleNamespaces()`
`List` | `parseModules(org.jdom.Element root)`

Methods inherited from class com.sun.syndication.io.impl.PluginManager
`getKeys, getPlugin, getPluginMap, getPlugins`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleParsers

    public ModuleParsers(String propertyKey,
                         WireFeedParser parentParser)

Method Detail

### getKey

    public String getKey(Object obj)

  Specified by:
    `getKey` in class `PluginManager`

### getModuleNamespaces

    public List getModuleNamespaces()

### parseModules

    public List parseModules(org.jdom.Element root)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.